CarrotParams (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.carrot2.CarrotParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering.carrot2
Class CarrotParams

    java.lang.Object
      org.apache.solr.handler.clustering.carrot2.CarrotParams

    public final class CarrotParams

extends Object

Carrot2 parameter mapping (recognized and mapped if passed via Solr configuration).

Field Summary
`static String` | `ALGORITHM`
`static String` | `CUSTOM_FIELD_NAME`
`static String` | `LANGUAGE_CODE_MAP`
`static String` | `LANGUAGE_FIELD_NAME`
`static String` | `LEXICAL_RESOURCES_DIR`
`static String` | `NUM_DESCRIPTIONS`
`static String` | `OUTPUT_SUB_CLUSTERS`
`static String` | `PRODUCE_SUMMARY`
`static String` | `SNIPPET_FIELD_NAME`
`static String` | `SUMMARY_FRAGSIZE`
`static String` | `SUMMARY_SNIPPETS`
`static String` | `TITLE_FIELD_NAME`
`static String` | `URL_FIELD_NAME`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALGORITHM

    public static String ALGORITHM

### TITLE_FIELD_NAME

    public static String TITLE_FIELD_NAME

### URL_FIELD_NAME

    public static String URL_FIELD_NAME

### SNIPPET_FIELD_NAME

    public static String SNIPPET_FIELD_NAME

### LANGUAGE_FIELD_NAME

    public static String LANGUAGE_FIELD_NAME

### CUSTOM_FIELD_NAME

    public static String CUSTOM_FIELD_NAME

### PRODUCE_SUMMARY

    public static String PRODUCE_SUMMARY

### SUMMARY_FRAGSIZE

    public static String SUMMARY_FRAGSIZE

### SUMMARY_SNIPPETS

    public static String SUMMARY_SNIPPETS

### NUM_DESCRIPTIONS

    public static String NUM_DESCRIPTIONS

### OUTPUT_SUB_CLUSTERS

    public static String OUTPUT_SUB_CLUSTERS

### LEXICAL_RESOURCES_DIR

    public static String LEXICAL_RESOURCES_DIR

### LANGUAGE_CODE_MAP

    public static String LANGUAGE_CODE_MAP

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD